import request from "@/utils/request";
import request2 from "@/utils/request2";
import qs from "qs";
let api = "/api-web";
// // 获取分部
// export function getSection (data) {
//   return request({
//     url: api + '/organization/queryPage',
//     method: 'get',
//     params: data
//   })
// }
// 获取收费类型
export function getType(data) {
  return request({
    url: api + "/chargeType/findAll",
    method: "get",
    params: data
  });
}
// 获取合作单位
export function getCooperation(data) {
  return request({
    url: api + "/cooperationOrgan/queryPage",
    method: "get",
    params: data
  });
}
// 获取教学地点
export function getAddress(data) {
  return request({
    url: api + "/school/queryPage",
    method: "get",
    params: data
  });
}
// 获取所有老师信息
export function getTeacher(data) {
  return request({
    url: api + "/teacher/findTeachers",
    method: "get",
    params: data
  });
}

// 获取分部下声部所有老师
export function findTeacherByOrganId(data) {
  return request({
    url: api + "/teacher/findTeacherByOrganId",
    method: "get",
    params: data
  });
}

// 获取所有声部集合
export function getSubject(data) {
  return request({
    url: api + "/subject/findSubSubjects",
    method: "get",
    params: data
  });
}
// 查询付费主体
export function getPayMaster(data) {
  return request({
    url: api + "/musicGroupPaymentEntities/queryPage",
    method: "get",
    params: data
  });
}

// 根据收费类型获取默认科目
export function getDefaultSubject(data) {
  return request({
    url: api + "/subject/findDefaultSubByChargeTypeId",
    method: "get",
    params: data
  });
}

// 根据科目编号查询商品或辅件
//
export function getGoods(data) {
  return request({
    url: api + "/goods/queryGoodsBySubId",
    method: "get",
    params: data
  });
}
// 创建乐团
export function createTeam(data) {
  return request({
    url: api + "/musicGroup/createGroup",
    method: "post",
    data
  });
}

// 查询乐团招生情况
export function getTeamRecruit(data) {
  return request({
    url: api + `/musicGroupSubjectPlan/getMusicSubjectClass`,
    method: "get",
    params: data
  });
}

// 获取乐团声部班
export function getSingleClass(data) {
  return request({
    url: api + "/classGroup/findMusicGroupClass",
    method: "get",
    params: data
  });
}

// 获取学生列表
export function getStudentList(data) {
  return request({
    url: api + "/studentRegistration/queryStudentApplyDetail",
    method: "get",
    params: data
  });
}

// 根据乐团id查询未分班的学生(根据多声部)
export function getNoClassStudent(data) {
  return request({
    url: api + "/studentRegistration/getNoClassStu",
    method: "get",
    params: data
  });
}
// 根据乐团id查询未分班的学生(所有或单声部)
export function getNoClassStudentAll(data) {
  return request({
    url: api + "/studentRegistration/getMusicGroupNoClassStu",
    method: "get",
    params: data
  });
}
// 新增班级
export function createClass(data) {
  return request({
    url: api + "/classGroup/create",
    method: "post",
    data: data
  });
}
// 新增声部课班
export function addSingleClass(data) {
  return request({
    url: api + "/classGroup/add",
    method: "post",
    data
  });
}

// 删除声部课班
export function removeSingleClass(data) {
  return request({
    url: api + "/classGroup/delSingle",
    method: "post",
    data: qs.stringify(data)
  });
}

// 获取未分班的声部班
export function findNoClassSingle(data) {
  return request({
    url: api + "/classGroup/findNoClassSubjects",
    method: "get",
    params: data
  });
}
// 添加合奏班
export function addAllClass(data) {
  return request({
    url: api + "/classGroup/addMixClass",
    method: "post",
    data: qs.stringify(data)
  });
}

// 获取所有合奏班列表
export function getAllClass(data) {
  return request({
    url: api + "/classGroup/findMixMusicGroupClass",
    method: "get",
    params: data
  });
}

// 删除合奏班

export function removeAllClass(data) {
  return request({
    url: api + "/classGroup/delMix",
    method: "post",
    data: qs.stringify(data)
  });
}

// 确认是否所有学生和声部能班都被分配完成
export function checkAllStudent(data) {
  return request({
    url: api + "/classGroup/addMusicGroupTeam",
    method: "POST",
    data: qs.stringify(data)
  });
}

// 获取乐团所有班级以及老师信息
export function getEveryClass(data) {
  return request({
    url: api + "/classGroup/findMusicGroupClassTeacher",
    method: "get",
    params: data
  });
}

// 设置乐团老师

export function setTeamTeacher(data) {
  return request({
    url: api + "/classGroup/addClassGroupTeacher",
    method: "post",
    data
  });
}

// // 获取所有的节假日
// export function getHolidays (data) {
//   return request({
//     url: '/jiari/',
//     method: 'post',
//     data: qs.stringify(data)
//   })
// }

// 根据合奏班获取合奏班下的所有声部能班

export function getAllSignClass(data) {
  return request({
    url: api + "/classGroup/findClassGroupAboutMix",
    method: "get",
    params: data
  });
}

// 根据合奏班id获取声部班以及老师
export function getAllSignClassandTeacher(data) {
  return request({
    url: api + "/classGroup/classGroupAndTeacher",
    method: "get",
    params: data
  });
}

// 乐团课排课
export function workOut(data) {
  return request({
    url: api + "/courseSchedule/batchAddCourseSchedule",
    method: "post",
    data
  });
}

// 获取声部二级分类api +  /subject/queryPageTree
export function getSoundTree(data) {
  return request({
    url: api + "/subject/queryPageTree",
    method: "get",
    params: data
  });
}

// 根据乐团id获取乐团声部
export function findSound(data) {
  return request({
    url: api + "/subject/querySubByMusicGroupId",
    method: "get",
    params: data
  });
}

// 根据乐团id获取乐团老师

export function findMusicGroupClassTeacher(data) {
  return request({
    url: api + "/teacher/findMusicGroupTeachers",
    method: "get",
    params: data
  });
}

// 乐团所有班级都排课
export function checkCourse(data) {
  return request({
    url: api + "/courseSchedule/checkMusicGroupClassCourse",
    method: "post",
    data: qs.stringify(data)
  });
}

// 根据乐团id查询乐团
//api +  /musicGroup/get/{id}
export function getTeamDetail(data) {
  return request({
    url: api + `/musicGroup/get/`,
    method: "get",
    params: data
  });
}

// 新增基础技能班
export function addHighClass(data) {
  return request({
    url: api + `/classGroup/addHighClass`,
    method: "POST",
    data
  });
}
// 获取老师默认课酬表
export function findMusicGroupClassTeacherSalary(data) {
  return request({
    url: api + `/classGroup/findMusicGroupClassTeacherSalary`,
    method: "GET",
    params: data
  });
}

// 老师课酬确认
export function setClassGroupTeacherSalary(data) {
  return request({
    url: api + `/classGroup/setClassGroupTeacherSalary`,
    method: "post",
    data
  });
}

// 获取班级详情
export function getMusicGroup(data) {
  return request({
    url: api + `/musicGroup/get`,
    method: "get",
    params: data
  });
}
// 根据乐团id查询乐团详情
export function superFindClassGroups(data) {
  return request({
    url: api + `/classGroup/superFindClassGroups`,
    method: "get",
    params: data
  });
}

// 根据乐团id获取乐团流程
export function getMusicGroupProcess(data) {
  return request({
    url: api + `/recharge/findAll`,
    method: "get",
    params: data
  });
}

// 乐团管理 老师列表
export function getTeamTeacherList(data) {
  return request({
    url: api + `/teacher/queryMusicGroupTeachers`,
    method: "get",
    params: data
  });
}

// 获取乐团报名信息
export function getintoClass(data) {
  return request({
    url: api + `/subject/findSubApplyDetail`,
    method: "get",
    params: data
  });
}

// 根据乐团id获取老师上课记录
export function getTeacheerRecord(data) {
  return request({
    url: api + `/teacher/queryTeacherAttendance`,
    method: "get",
    params: data
  });
}

// 根据乐团id获取学员列表
export function getTeamStudentList(data) {
  return request({
    url: api + `/studentManage/queryMusicGroupStudent`,
    method: "get",
    params: data
  });
}

// 根据乐团id获取学生列表汇总数据
export function getTeamStudentInfo(data) {
  return request({
    url: api + `/studentManage/musicGroupStudentsSum`,
    method: "get",
    params: data
  });
}

// 学生退团
export function StudentQuit(data) {
  return request({
    url: api + `/musicGroupQuit/directQuitMusicGroup`,
    method: "post",
    data,
    requestType: "json",
    headers: {
      "content-type": "application/json"
    }
  });
}

// 班级详情列表
export function getClassList(data) {
  return request({
    url: api + `/classGroup/queryMusicGroupClassGroup`,
    method: "get",
    params: data
  });
}

// 获取乐团课表详情
export function getCourseList(data) {
  return request({
    url: api + `/classGroup/queryMusicGroupCourseSchedule`,
    method: "get",
    params: data
  });
}

// 获取乐团课表详情新接口
export function getCourseSchedule(data) {
  return request({
    url: api + `/classGroup/queryMusicGroupCourseScheduleDetail`,
    method: "get",
    params: data
  });
}

// 终极课表获取
export function superFindCourseSchedules(data) {
  return request({
    url: api + `/courseSchedule/superFindCourseSchedules`,
    method: "get",
    params: data
  });
}

// 课时调整
export function resetCourse(data) {
  return request({
    url: api + `/courseSchedule/classStartDateAdjust`,
    method: "post",
    data: qs.stringify(data)
  });
}

// 课时调整 批量
export function batchAdjustment(data) {
  return request({
    url: api + `/courseSchedule/batchClassStartDateAdjust`,
    method: "post",
    data
  });
}
// 课时调整-批量

// 根据乐团id 和声部id获取学生列表
export function teamSoundStudent(data) {
  return request({
    url: api + `/studentRegistration/getMusicGroupStu`,
    method: "get",
    params: data
  });
}

// 通过乐团编号获取乐团基本信息
export function getTeamBaseInfo(data) {
  return request({
    url: api + `/musicGroup/findMusicGroupBasicInfo`,
    method: "POST",
    data: qs.stringify(data)
  });
}

// 修改乐团基本信息
export function resetTeamBaseInfo(data) {
  return request({
    url: api + `/musicGroup/update`,
    method: "POST",
    data
  });
}

// 开启乐团缴费功能
export function musicGroupOpenPay(data) {
  return request({
    url: api + `/musicGroup/openPay`,
    method: "POST",
    data: qs.stringify(data)
  });
}

// 开启缴费(单独学生)
export function openPayment(data) {
  return request({
    url: api + `/studentRegistration/openPayment`,
    method: "POST",
    data: qs.stringify(data)
  });
}

// 发放清单
export function getTeamDetailList(data) {
  return request({
    url: api + `/order/getMusicalList`,
    method: "get",
    params: data
  });
}

// 基础技能班详情   data: qs.stringify(data),
export function highClassGroups(data) {
  return request({
    url: api + `/classGroup/highClassGroups`,
    method: "get",
    params: data
  });
}

// 基础技能班调整
export function resetHighClass(data) {
  return request({
    url: api + `/classGroupStudent/adjustClassGroup`,
    method: "POST",
    data: qs.stringify(data)
  });
}

// 确认开团
export function musicGroupFound(data) {
  return request({
    url: api + `/musicGroup/found`,
    method: "POST",
    data: qs.stringify(data)
  });
}

// 延长缴费
export function extensionPayment(data) {
  return request({
    url: api + `/musicGroup/extensionPayment`,
    method: "POST",
    data: qs.stringify(data)
  });
}

// 延长报名 extensionApplyExpireDate
export function extensionApplyExpire(data) {
  return request({
    url: api + `/musicGroup/extensionApplyExpireDate`,
    method: "POST",
    data: qs.stringify(data)
  });
}

// 班级临时调整
export function revisionClassGroup(data) {
  return request({
    url: api + `/classGroup/revisionClassGroup`,
    method: "POST",
    data
  });
}

// 班级调整新增班级
export function revisionAddClassGroup(data) {
  return request({
    url: api + `/classGroup/revisionAddClassGroup`,
    method: "POST",
    data
  });
}
// 恢复乐团
export function resumeMusicGroup(data) {
  return request({
    url: api + `/musicGroup/resumeMusicGroup`,
    method: "POST",
    data: qs.stringify(data)
  });
}

// 暂停乐团
export function pauseMusicGroup(data) {
  return request({
    url: api + `/musicGroup/pauseMusicGroup`,
    method: "POST",
    data: qs.stringify(data)
  });
}

// 取消乐团
export function cancelMusicGroup(data) {
  return request({
    url: api + `/musicGroup/cancelMusicGroup`,
    method: "POST",
    data: qs.stringify(data)
  });
}

// 删除乐团
export function deleteMusicGroup(data) {
  return request({
    url: api + `/musicGroup/deleteMusicGroup`,
    method: "POST",
    data: qs.stringify(data)
  });
}

// 修改乐团招生计划
export function resetPlanNum(data) {
  return request({
    url: api + `/musicGroup/updateExpectedStudentNum`,
    method: "POST",
    data
  });
}

// 获取乐团声部设置信息
export function findMusicGroupSubjectInfo(data) {
  return request({
    url: api + `/musicGroup/findMusicGroupSubjectInfo`,
    method: "get",
    params: data
  });
}

// 修改乐团声部信息
export function updateSubjectInfo(data) {
  return request({
    url: api + `/musicGroup/updateSubjectInfo`,
    method: "POST",
    data
  });
}

// 修改乐团费用设置
export function resetSubjectPlan(data) {
  return request({
    url: api + `/musicGroupSubjectPlan/batchUpdateFee`,
    method: "POST",
    data
  });
}

// 审批通过
export function auditSuccess(data) {
  return request({
    url: api + `/musicGroup/auditSuccess`,
    method: "POST",
    data: qs.stringify(data)
  });
}

// 拒绝审批 /musicGroup/auditFailed
export function auditFailed(data) {
  return request({
    url: api + `/musicGroup/auditFailed`,
    method: "POST",
    data: qs.stringify(data)
  });
}

// 开启乐团
export function startTeam(data) {
  return request({
    url: api + `/musicGroup/action`,
    method: "POST",
    data: qs.stringify(data)
  });
}

// 根据班级id获取课程计划
export function getClassCOurse(data) {
  return request({
    url: api + `/courseSchedule/findCourseScheduleByClassGroup`,
    method: "get",
    params: data
  });
}

// 获取员工所有的分部列表
export function getEmployeeOrgan(data) {
  return request({
    url: api + `/organization/queryEmployeeOrgan`,
    method: "get",
    params: data
  });
}

//
export function pushMessage(data) {
  return request({
    url: api + "/musicGroup/pushMessage",
    method: "post",
    data: qs.stringify(data)
  });
}

// 课酬调整
export function getTeacherSalary(data) {
  return request({
    url: api + `/courseSchedule/queryTeacherSalary`,
    method: "get",
    params: data
  });
}

// 获取购买方式
export function findSubjectPlan(data) {
  return request({
    url: api + `/musicGroupSubjectPlan/findSubjectPlan`,
    method: "post",
    data: qs.stringify(data)
  });
}

// 根据部门id获取部门下的员工
//删除乐团所有未上课时
export function deteleAllCourse(data) {
  return request({
    url: api + `/courseSchedule/batchDeleteMusicGroupNotStartCourse`,
    method: "get",
    params: data
  });
}

// 修改密码
export function resetPassword(data) {
  return request({
    url: `/api-auth/user/updatePassword`,
    method: "POST",
    data: qs.stringify(data)
  });
}
// 管理员修改密码
export function resetPassword2(data) {
  return request({
    url: `/api-auth/user/updatePassword2`,
    method: "POST",
    data: qs.stringify(data)
  });
}

// 查询是否设置课酬 checkSetSalary
export function checkSetSalary(data) {
  return request({
    url: api + `/classGroup/checkSetSalary`,
    method: "GET",
    params: data
  });
}

// 获取节假日
export function getHoliday(data) {
  return request({
    url: api + `/classGroupStudent/queryHoliday`,
    method: "GET",
    params: data
  });
}

// 获取指定学员在指定乐团下本次课排课时长
export function getMusicCourseSettingsWithStudents(data) {
  return request2({
    url: api + `/musicGroupPaymentCalender/getMusicCourseSettingsWithStudents`,
    method: "GET",
    params: data,
    data: {}
  });
}

// 获取乐团(声部)的(没有某种班级类型)学生
export function getMusicGroupStuNoClassType(data) {
  return request({
    url: api + `/studentRegistration/getMusicGroupStuNoClassType`,
    method: "GET",
    params: data
  });
}

// 调整班级(调整老师，重排课)
export function classGroupUpdate(data) {
  return request({
    url: api + `/classGroup/classGroupUpdate`,
    method: "POST",
    data
  });
}

//  获取乐团下所有的班级
export function getMusicGroupAllClass(data) {
  return request({
    url: api + `/classGroup/findAllClassGroupByMusicGroup`,
    method: "get",
    params: data
  });
}

// 获取乐团下所有班级
export function getMusicGroupClass(data) {
  return request({
    url: api + `/classGroup/queryPage`,
    method: "get",
    params: data
  });
}
// 乐团【报名中、缴费中】 学生详情列表导出
export function studentApplyDetailExport(data) {
  return request({
    // url: api + '/studentRegistration/queryStudentApplyDetailExport',
    url: api + "/export/studentApplyDetailExport",
    method: "post",
    data: qs.stringify(data)
  });
}

// 清空班级课表 classGroup/delClassNoStartCourse
export function clearClassCourse(data) {
  return request({
    url: api + "/classGroup/delClassNoStartCourse",
    method: "post",
    data: qs.stringify(data)
  });
}

// 课程顺延
export function coursePostpone(data) {
  return request({
    url: api + "/courseSchedule/coursePostpone",
    method: "post",
    data: qs.stringify(data)
  });
}

// 锁定学生
export function StudentFeeIsLock(data) {
  return request({
    url: api + "/studentManage/updateStudentFeeIsLock",
    method: "post",
    data: qs.stringify(data)
  });
}

// 修改学生缴费周期
export function updateStudentFee(data) {
  return request({
    url: api + "/studentManage/updateStudentFee",
    method: "post",
    data: qs.stringify(data)
  });
}
// -----[-]
// 获取学员签到列表
export function findStudentAttendance(data, postData) {
  return request2({
    url: api + "/studentAttendance/findStudentAttendance",
    method: postData ? "post" : "get",
    params: data,
    data: postData,
    requestType: "form"
  });
}

// 获取签到信息
export function sumStudentAttendance(data) {
  return request({
    url: api + "/studentManage/sumStudentAttendance",
    method: "get",
    params: data
  });
}
// 获取签到经纬度
export function getTeacherPersonalAttendance(data) {
  return request({
    url: api + "/teacherAttendance/getTeacherPersonalAttendance",
    method: "get",
    params: data
  });
}

// 获取练习列表
export function findStudentCourseHomeworks(data) {
  return request({
    url: api + "/studentManage/findStudentCourseHomeworks",
    method: "get",
    params: data
  });
}

// 运营预警列表
export function teacherCourseStatistics(data) {
  return request({
    url: api + "/teacherCourseStatistics/queryPage",
    method: "get",
    params: data
  });
}

// 老师布置的练习
export function getCourseScheduleHomework(data) {
  return request({
    url: api + "/teacher/getCourseScheduleHomework",
    method: "get",
    params: data
  });
}

// 修改考勤状态
export function updateTeacherAttendance(data) {
  return request({
    url: api + "/teacherAttendance/updateTeacherAttendance",
    method: "post",
    data: qs.stringify(data)
  });
}

// 点名列表
export function findAttendanceStudentByCourseWithPage(data) {
  return request({
    url: api + "/studentAttendance/findAttendanceStudentByCourseWithPage",
    method: "get",
    params: data
  });
}

// 更新学生签到记录
export function updateStudentAttendances(data) {
  return request({
    url: api + "/studentAttendance/updateStudentAttendances",
    method: "post",
    data: data
  });
}

// 获取网管课列表
export function practiceGroupManage(data) {
  return request({
    url: api + "/practiceGroupManage/queryAll",
    method: "get",
    params: data
  });
}

// 获取网管课程组
export function findPracticeGroupCourseSchedules(data) {
  return request({
    url: api + "/practiceGroupManage/findPracticeGroupCourseSchedules",
    method: "get",
    params: data
  });
}

// 网管课调整
// courseSchedule/practiceCourseAdjus
export function practiceCourseAdjus(data) {
  return request({
    url: api + "/courseSchedule/practiceCourseAdjust",
    method: "post",
    data: qs.stringify(data)
  });
}

// 网管课程组老师修改
export function practiceGroupTeacherAdjust(data) {
  return request({
    url: api + "/courseSchedule/practiceGroupTeacherAdjust",
    method: "post",
    data: qs.stringify(data)
  });
}
// 网管课老师修改
export function practiceCourseTeacherAdjust(data) {
  return request({
    url: api + "/courseSchedule/practiceCourseTeacherAdjust",
    method: "post",
    data: qs.stringify(data)
  });
}
// 网管课购买列表
export function practiceGroupManageStudentBuys(data) {
  return request({
    url: api + "/practiceGroupManage/studentBuys",
    method: "get",
    params: data
  });
}

// 修改网管课程组备注
export function practiceUpdateMemo(data) {
  return request({
    url: api + "/practiceGroupManage/updateMemo",
    method: "post",
    data: qs.stringify(data)
  });
}

// 清除考情记录
export function cleanAttendance(data) {
  return request({
    url: api + "/courseSchedule/cleanAttendance",
    method: "post",
    data: qs.stringify(data)
  });
}

// 批量加网管课
export function batchAddCourses(data) {
  return request({
    url: api + "/courseSchedule/batchAddCourses",
    method: "post",
    data
  });
}

// 关闭网管课 课程组
export function cancelGroup(data) {
  return request({
    url: api + "/practiceGroupManage/cancelGroup",
    method: "post",
    data: qs.stringify(data)
  });
}

// 获取网管课可预约声部 getPracticeApplySubjects
export function getPracticeApplySubjects(data) {
  return request({
    url: api + "/practiceGroupManage/getPracticeApplySubjects",
    method: "get",
    params: data
  });
}

// 网管课批量调整
export function batchUpdateCourseSchedule(data) {
  return request({
    url: api + "/courseSchedule/batchUpdateCourseSchedule",
    method: "post",
    data
  });
}

// 评论管理
export function getReviews(data) {
  return request({
    url: api + "/practiceGroupManage/getReviews",
    method: "get",
    params: data
  });
}

// 评论详情 列表
export function getGroupReviews(data) {
  return request({
    url: api + "/practiceGroupManage/getGroupReviews",
    method: "get",
    params: data
  });
}

// vip评论
export function getVipGroup(data) {
  return request({
    url: api + "/courseReview/getVipGroup",
    method: "get",
    params: data
  });
}
//  评论详情
export function getReviewsInfo(data) {
  return request({
    url: api + "/practiceGroupManage/getReviewsInfo",
    method: "get",
    params: data
  });
}

// 获取所有乐团主管
export function findEducationUsers(data) {
  return request({
    url: api + "/employee/findEducationUsers",
    method: "get",
    params: data
  });
}

// 获取网管评论列表
export function getPracticeGroup(data) {
  return request({
    url: api + "/courseReview/getPracticeGroup",
    method: "get",
    params: data
  });
}

// 网管课评价详情
export function getReviewInfo(data) {
  return request({
    url: api + "/courseReview/getReviewInfo",
    method: "get",
    params: data
  });
}

// 教务评价详情 /eduCourseReview/getReviewInfo
export function updateReviewInfo(data) {
  return request({
    url: api + "/eduCourseReview/updateReviewInfo",
    method: "get",
    params: data
  });
}

// 获取老师和学生的评价 courseReview/getStuAndTeaReview
export function getStuAndTeaReview(data) {
  return request({
    url: api + "/courseReview/getStuAndTeaReview",
    method: "get",
    params: data
  });
}

// 网管课有效期调整
export function updateCoursesExpireDate(data) {
  return request({
    url: api + "/courseSchedule/updateCoursesExpireDate",
    method: "post",
    data: qs.stringify(data)
  });
}

// 网管课有效期调整(不可调整已结束的)
export function updateCoursesExpireDateOnlyNormal(data) {
  return request({
    url: api + "/courseSchedule/updateCoursesExpireDateOnlyNormal",
    method: "post",
    data: qs.stringify(data)
  });
}

// 新建缴费周期
export function addMusicGroupPaymentCalender(data) {
  return request({
    url: api + "/musicGroupPaymentCalender/add",
    method: "post",
    data: qs.stringify(data)
  });
}
// 查询周期(缴费日历)
export function getMusicGroupPaymentCalender(data) {
  return request2({
    url: api + "/musicGroupPaymentCalender/queryPage",
    method: "get",
    params: data,
    requestType: "form",
    headers: {
      "content-type": "application/x-www-form-urlencoded"
    }
  });
}

// 修改缴费周期
export function resetMusicGroupPaymentCalender(data) {
  return request({
    url: api + "/musicGroupPaymentCalender/updateStartTime",
    method: "post",
    data: qs.stringify(data)
  });
}

// 查询可新增的学生
export function queryCanAddStudent(data) {
  return request({
    url: api + "/studentManage/queryCanAddStudent",
    method: "get",
    params: data
  });
}
// 增加学生缴费 musicGroupPaymentCalenderDetail/add
export function addMusicGroupPaymentCalenderStudent(data) {
  return request({
    url: api + "/musicGroupPaymentCalenderDetail/add",
    method: "post",
    data: qs.stringify(data)
  });
}

// 删除学生缴费
export function delMusicGroupPaymentCalenderStudent(data) {
  return request({
    url: api + "/musicGroupPaymentCalenderDetail/batchDel",
    method: "post",
    data: qs.stringify(data)
  });
}

// 删除缴费周期 musicGroupPaymentCalender/del
export function delMusicGroupPaymentCalender(data) {
  return request({
    url: api + "/musicGroupPaymentCalender/del",
    method: "post",
    data: qs.stringify(data)
  });
}

// 根据缴费id查询学生列表 musicGroupPaymentCalenderDetail/queryPage
export function getmusicGroupPaymentCalenderDetail(data) {
  return request({
    url: api + "/musicGroupPaymentCalenderDetail/queryPage",
    method: "get",
    params: data
  });
}

// 开启缴费
export function openMusicGroupPaymentCalenderDetailPayment(data) {
  return request({
    url: api + "/musicGroupPaymentCalenderDetail/openPayment",
    method: "post",
    data: qs.stringify(data)
  });
}

// 修改学员缴费金额
export function resetMusicGroupPaymentCalenderDetail(data) {
  return request({
    url: api + "/musicGroupPaymentCalenderDetail/updateExpectAmount",
    method: "post",
    data: qs.stringify(data)
  });
}

// 获取缴费信息
export function getMusicGroupPaymentCalenderDetail(data) {
  return request({
    url: api + "/musicGroupPaymentCalender/getDetail",
    method: "get",
    params: data
  });
}

// 学员基础信息列表 /musicGroupStudentFee/queryPage
export function getMusicGroupStudentFee(data) {
  return request({
    url: api + "/musicGroupPaymentCalenderDetail/queryFeeStudents",
    method: "post",
    data: qs.stringify(data)
  });
}

// 修改学员费用
export function resetMusicGroupStudentFee(data) {
  return request({
    url: api + "/musicGroupStudentFee/batchUpdateCourseFee",
    method: "post",
    data: qs.stringify(data)
  });
}

// 离职修改网管课
export function batchPracticeGroupTeacherAdjust(data) {
  return request({
    url: api + "/courseSchedule/batchPracticeGroupTeacherAdjust",
    method: "post",
    data: qs.stringify(data)
  });
}

// 获取报名缴费详情
export function getStudentOriginal(data) {
  return request({
    url: api + "/subjectChange/getStudentOriginal",
    method: "get",
    params: data
  });
}

export function getSubjectGoodsAndInfo(data) {
  return request({
    url: api + "/subjectChange/getSubjectGoodsAndInfo",
    method: "get",
    params: data
  });
}

export function getChangeInfo(data) {
  return request({
    url: api + "/subjectChange/getChangeInfo",
    method: "get",
    params: data
  });
}

export function subjectChangeAdd(data) {
  return request({
    url: api + "/subjectChange/add",
    method: "post",
    data: qs.stringify(data)
  });
}

export function subjectChangeCancel(data) {
  return request({
    url: api + "/subjectChange/cancel",
    method: "post",
    params: data
  });
}

// 获取详情
export function getCourseScheduleDetail(data) {
  return request({
    url: api + "/courseSchedule/query",
    method: "get",
    params: data
  });
}

// 获取商品和商品折扣
export function getSubjectGoods(data) {
  return request({
    url: api + "/musicGroupSubjectPlan/getSubjectGoods",
    method: "get",
    params: data
  });
}

// 获取乐团声部费用信息及乐器和辅件
export function getSubjectGoodsAndInfoPreview(data) {
  return request({
    url: api + "/studentRegistration/getSubjectGoodsAndInfo",
    method: "get",
    params: data
  });
}
// 获取调整详情
export function queryCourseAdjustDetail(data) {
  return request({
    url: api + "/courseSchedule/queryCourseAdjustDetail",
    method: "post",
    data: qs.stringify(data)
  });
}

// 获取合课学生
export function getCourseStudents(data) {
  return request({
    url: api + "/courseScheduleStudentPayment/getCourseStudents",
    method: "get",
    params: data
  });
}

// 课程合并
export function courseMerge(data) {
  return request({
    url: api + "/courseSchedule/courseMerge",
    method: "post",
    data: qs.stringify(data)
  });
}

// 取消合并
export function cancelCourseMerge(data) {
  return request({
    url: api + "/courseSchedule/mergeCourseSplit",
    method: "post",
    data: qs.stringify(data)
  });
}

// 查询班级剩余课次
export function getClassGroupSubCourseNum(data) {
  return request2({
    url: api + `/classGroup/classGroupSubCourseNum`,
    method: "GET",
    params: data,
    data: {}
  });
}
// 生成默认缴费信息
export function getDefaultPaymentCalender(data) {
  return request2({
    url: api + `/classGroup/getDefaultPaymentCalender`,
    method: "post",
    params: {},
    data
  });
}

// 获取新班级可排课时长
export function findClassCourseMinute(data) {
  return request2({
    url: api + `/classGroup/findClassCourseMinute`,
    method: "post",
    params: {},
    data
  });
}

// 拆班合班
export function mergeClassSplitClassAffirm(data) {
  return request2({
    url: api + `/classGroup/mergeClassSplitClassAffirm`,
    method: "post",
    params: {},
    data
  });
}

// 获取分部所有的课程类型时长
export function getOrganCourseDurationSettings(data) {
  return request2({
    url: api + `/organizationCourseDurationSettings/queryByOrganId`,
    method: "get",
    params: data,
    data: {}
  });
}

// 获取分部所有乐团班级
export function getClassGroupPage(data) {
  return request2({
    url: api + `/classGroup/queryClassGroupPage`,
    method: "get",
    params: data,
    data: {}
  });
}

// 获取合班学员缴费金额
export function getStudentPaymentCalenders(data) {
  return request2({
    url: api + `/classGroup/queryStudentPaymentCalenders`,
    method: "post",
    params: {},
    data: data
  });
}

// 跨团合并班级
export function spanGroupMergeClassSplitClassAffirm(data) {
  return request2({
    url: api + `/classGroup/spanGroupMergeClassSplitClassAffirm`,
    method: "post",
    params: {},
    data: data
  });
}

// 获取用户所在分部的年级列表
export function getMusicGroupGradeList(data) {
  return request2({
    url: api + "/musicGroup/getGradeList",
    method: "get",
    params: data
  });
}
// 获取乐保列表
export function getInstrument(data) {
  return request2({
    url: api + `/studentInstrument/getList`,
    method: "get",
    params: data,
    data: {}
  });
}

// 删除乐保列表
export function studentInstrumentDel(data) {
  return request2({
    url: api + `/studentInstrument/del`,
    method: "post",
    requestType: "form",
    data: data
  });
}

// 新增乐保乐器

export function addStudentInstrument(data) {
  return request2({
    url: api + `/studentInstrument/add`,
    method: "post",
    params: {},
    data: data,
    requestType: "form"
  });
}
// 新增乐保乐器

export function updateStudentInstrument(data) {
  return request2({
    url: api + `/studentInstrument/update`,
    method: "post",
    data: data,
    requestType: "form"
  });
}

// 发送缴费提醒
export function sendWaitRenewMessage(data) {
  return request2({
    url: api + `/musicGroupPaymentCalenderDetail/sendWaitRenewMessage`,
    method: "post",
    requestType: "form",
    params: {},
    data: data
  });
}
// 查询进行中乐团能否补招
export function checkCanReg(data) {
  return request2({
    url: api + `/studentManage/checkCanReg`,
    method: "get",
    params: data
  });
}

// 批量调整
export function batchCourseAdjust(data) {
  return request2({
    url: api + `/courseSchedule/batchCourseAdjust`,
    method: "post",
    params: {},
    data
  });
}

// 获取会员班级截止时间
export function musicGroupSchoolTermCourseDetail(data) {
  return request2({
    url: api + `/musicGroupSchoolTermCourseDetail/upset`,
    method: "get",
    params: data,
    requestType: "form"
  });
}

// 会员乐团预排课
export function preCourseSchedule(data) {
  return request2({
    url: api + `/classGroup/preCourseSchedule`,
    method: "post",
    params: {},
    data,
    requestType: "json"
  });
}

// 取消班级预排课
export function cancelPreCourseSchedule(data) {
  return request2({
    url: api + `/classGroup/cancelPreCourseSchedule`,
    method: "post",
    params: data
  });
}

// 获取班级预排课课表
export function getPreCourseList(data) {
  return request2({
    url: api + `/classGroup/queryPreCourseList`,
    method: "post",
    params: data
  });
}

// 确认预排课
export function confirmPreCourseSchedule(data) {
  return request2({
    url: api + `/classGroup/confirmPreCourseSchedule`,
    method: "post",
    params: data
  });
}

// 查询退费详情
export function getRefundsDetail(data) {
  return request2({
    url: api + `/musicGroupQuit/queryRefundsDetail`,
    method: "get",
    params: data
  });
}

// 发起退团申请 musicGroupQuit/apply
export function applyMusicGroupQuit(data) {
  return request2({
    url: api + `/musicGroupQuit/apply`,
    method: "post",
    data: data,
    requestType: "json"
  });
}

// 获取角色信息
export function getOrganRole(data) {
  return request2({
    url: api + `/employeePosition/findOrganPosition`,
    method: "get",
    params: data
  });
}
// 获取正在启用得协议
export function getAgreement(data) {
  return request2({
    url: api + `/tenantContractTemplate/queryLatestContractTemplate`,
    method: "get",
    params: data
  });
}


// 获取分部年纪
export function getGradeList (data) {
  return request({
    url: api + '/organization/getGradeList',
    method: 'get',
    params: data
  })
}


// 提交审核  草稿->审核中
//     requestType: "json"
export function musicGroupAuditing(data) {
  return request2({
    url: api + `/musicGroup/audit`,
    method: "post",
    data: data,
    requestType: "form"
  });
}
