import { MessageType } from "@rongcloud/imlib-next";
// import FileMessage from "./file-message";
// import GifMessage from "./gif-message";
// import HQVoiceMessage from "./HQVoice-message";
import ImageMessage from "./image-message";
// import LocationMessage from "./location-message";
import RecallMessage from "./recall-message";
// import ReferenceMessage from "./reference-message";
// import RichMessage from "./rich-message";
// import SightMessage from "./sight-message";
import TextMessage from "./text-message";
/**
 * 通知类的消息类型
 */
export const ntfMessageTypeMap = {
  // 只存储，不展示的消息
  "RC:RcCmd": RecallMessage,
  "RC:InfoNtf": null,
  "RC:ContactNtf": null,
  "RC:ProfileNtf": null,
  "RC:CmdNtf": null,
  "RC:GrpNtf": null
};
/**
 * 常规的消息类型，用于展示
 */
export const commonMessageTypeMap = {
  [MessageType.TEXT]: TextMessage,
  [MessageType.IMAGE]: ImageMessage
  // [MessageType.FILE]: FileMessage,
  // [MessageType.SIGHT]: SightMessage,
  // [MessageType.HQ_VOICE]: HQVoiceMessage,
  // [MessageType.GIF]: GifMessage,
  // [MessageType.REFERENCE]: ReferenceMessage,
  // [MessageType.RICH_CONTENT]: RichMessage,
  // [MessageType.LOCATION]: LocationMessage,
  // ['RC:VcMsg']: HQVoiceMessage
};
function getMessageBody(message, callback) {
  const func =
    commonMessageTypeMap[message.messageType] ||
    ntfMessageTypeMap[message.messageType];
  if (!func) {
    return "不识别的消息内容";
  }
  return new func(message, callback).create();
}
export default getMessageBody;
