import request from "@/utils/request2";
import request2 from "@/utils/request";

export const QueryPage = params => {
  return request({
    url: "/api-web/sysMusicScore/queryPage",
    data: {},
    params,
    requestType: "form"
  });
};

export const Transcod = params => {
  return request({
    url: "/api-web/sysMusicScore/transcod",
    data: {},
    params: {
      sysMusicScoreId: params.id
    },
    requestType: "json",
    method: "post"
  });
};

export const Add = data => {
  return request({
    url: "/api-web/sysMusicScore/add",
    method: "post",
    data,
    params: {}
  });
};

export const Update = data => {
  return request2({
    url: "/api-web/sysMusicScore/update",
    method: "post",
    data,
    params: {}
  });
};

export const Show = data => {
  return request({
    url: "/api-web/sysMusicScore/show",
    method: "post",
    data,
    requestType: "form"
  });
};

export const api_sysMusicScoreState = id => {
  return request({
    url: "/api-web/sysMusicScore/state/" + id,
    method: "post"
  });
};

// 批量停用/启用
export const api_sysMusicScoreStateList = (data) => {
  return request({
    url: "/api-web/sysMusicScore/stateList",
    method: "post",
    data
  });
};

export const queryPageSysExam = data => {
  return request({
    url: "/api-web/sysMusicScoreAccompaniment/queryPage",
    method: "get",
    params: data
  });
};

export const Del = id => {
  return request({
    url: "/api-web/sysMusicScore/del",
    method: "post",
    data: {},
    params: {
      id
    },
    requestType: "form"
  });
};

export const queryTree = data => {
  return request({
    url: "/api-web/sysMusicScoreCategories/queryTree",
    method: "get",
    data: {},
    params: data,
    requestType: "form"
  });
};

// 曲目列表
export const api_pageByApplication = data => {
  return request2({
    url: "/api-web/musicSheetApplicationExtend/pageByApplication",
    method: "post",
    data
  });
};

/**
 *  @description: 曲目应用拓展表 批量保存
 * @param params
 */
export const musicSheetApplicationExtendSaveBatch = data => {
  return request2({
    url: "/api-web/musicSheetApplicationExtend/saveBatch",
    method: "post",
    data
  });
};

/**
 *  @description: 启用停用
 * @param params
 */
export const musicSheetApplicationExtendStatus = data => {
  return request2({
    url: "/api-web/musicSheetApplicationExtend/status",
    method: "post",
    data
  });
};

/**
 *  @description: 修改
 * @param params
 */
export const musicSheetApplicationExtendUpdate = data => {
  return request2({
    url: "/api-web/musicSheetApplicationExtend/update",
    method: "post",
    data
  });
};
