import request from "@/utils/request2";
// 新建直播间
export const createLiveBroadcast = data => {
  return request({
    url: "/api-web/imLiveBroadcastRoom/add",
    method: "post",
    data,
    requestType: "json"
  });
};

// 获取直播列表
export const getLiveBroadcastList = data => {
  return request({
    url: "/api-web/imLiveBroadcastRoom/queryPage",
    method: "post",
    data,
    requestType: "json"
  });
};

// 删除直播间
export const delLiveBroadcast = data => {
  return request({
    url: "/api-web/imLiveBroadcastRoom/delete",
    method: "post",
    data,
    requestType: "json"
  });
};

// 关闭直播间
export const closeLiveBroadcast = data => {
  return request({
    url: "/api-web/imLiveBroadcastRoom/delete",
    method: "post",
    data,
    requestType: "json"
  });
};

//查询房间信息 getLiveBroadcastRoomList
export const getLiveBroadcastRoomDetail = data => {
  return request({
    url: "/api-web/imLiveBroadcastRoomMember/queryRoomDetail",
    method: "post",
    data
  });
};

// 直播间详情 学生列表
export const getLiveBroadcastRoomDetailList = data => {
  return request({
    url: "/api-web/imLiveBroadcastRoomMember/queryRoomMember",
    method: "post",
    data
  });
};
// 修改直播间

export const resetLiveBroadcastRoomList = data => {
  return request({
    url: "/api-web/imLiveBroadcastRoom/update",
    method: "post",
    data,
    requestType: "json"
  });
};

// 获取群聊信息
export const getImList = data => {
  return request({
    url: "/api-web/imGroup/queryGroupList",
    method: "get",
    data,
    params: data
  });
};

// 群聊分享
export const shareGroup = data => {
  return request({
    url: "/api-web/imLiveBroadcastRoom/shareGroup",
    method: "get",
    data,
    params: data
  });
};
// 关闭直播间 imLiveBroadcastRoom/roomDestroy
export const closeBroadcastRoomList = data => {
  return request({
    url: "/api-web/imLiveBroadcastRoom/roomDestroy/" + data,
    method: "get",
    data,
    params: data
  });
};

// 推广直播间
export const opsPopularize = data => {
  return request({
    url: "/api-web/imLiveBroadcastRoom/opsPopularize",
    method: "get",
    data,
    params: data
  });
};

// 直播间商品列表
export const getLiveGoodsMapper = data => {
  return request({
    url: "/api-web/liveGoodsMapper/page",
    method: "post",
    data,
    requestType: "form"
  });
};

// 新增直播间商品
export const addLiveGoodsMapper = data => {
  return request({
    url: "/api-web/liveGoodsMapper/add",
    method: "post",
    data,
    requestType: "form"
  });
};

// 直播间详情 imLiveBroadcastRoom/queryRoomInfo
export const getRoomInfo = data => {
  return request({
    url: "/api-web/imLiveBroadcastRoom/queryRoomInfo",
    method: "get",
    data,
    params: data
  });
};

// 直播间商品 上下架
export const updateLiveGoodsMapperStatus = data => {
  return request({
    url: "/api-web/liveGoodsMapper/updateStatus",
    method: "post",
    data,
    requestType: "form"
  });
};

// 获取直播间预约人数
export const getRoomUser = data => {
  return request({
    url: "/api-web/imLiveBroadcastRoom/query/roomUser",
    method: "post",
    data
  });
};

// 获取直播间黑名单
export const getBlackList = data => {
  return request({
    url: "/api-web/imLiveRoomBlack/queryBlackList",
    method: "post",
    data
  });
};

// 获取待加入黑名单的学生名单
export const getWaitBlackList = data => {
  return request({
    url: "/api-web/imLiveRoomBlack/queryStudentList",
    method: "post",
    data
  });
};

// 添加黑名单
export const addBlackList = data => {
  return request({
    url: "/api-web/imLiveRoomBlack/add",
    method: "post",
    data
  });
};

// 删除黑名单
export const deteleBlackList = data => {
  return request({
    url: "/api-web/imLiveRoomBlack/delete",
    method: "post",
    data
  });
};

// 商品销售详情
export const getGoodsOrderList = data => {
  return request({
    url: "/api-web/imLiveBroadcastRoom/queryLiveRoomGoodsOrderList",
    method: "get",
    data,
    params: data
  });
};

// 获取直播间学员
export const getLiveStudentList = data => {
  return request({
    url: "/api-web/imLiveRoomPurview/queryStudent",
    method: "post",
    data
  });
};

// 获取群聊
export const getGroupList = data => {
  return request({
    url: "/api-web/imLiveRoomPurview/selectRoomPurviewGroup",
    method: "post",
    data
  });
};

// 获取待添加直播间的学生
export const getWaitLiveStudentList = data => {
  return request({
    url: "/api-web/imLiveRoomPurview/selectRoomPurviewStudent",
    method: "post",
    data
  });
};

// 添加学生到直播间
export const addLiveStudentList = data => {
  return request({
    url: "/api-web/imLiveRoomPurview/add",
    method: "get",
    data,
    params: data
  });
};

// 移除直播间
export const deteleLiveStudentList = data => {
  return request({
    url: "/api-web/imLiveRoomPurview/delete",
    method: "get",
    data,
    params: data
  });
};

// 一键添加   imLiveRoomPurview/addByCondition
export const addByCondition = data => {
  return request({
    url: "/api-web/imLiveRoomPurview/addByCondition",
    method: "post",
    data,
    params: data
  });
};
//  手动开启直播

export const roomStart = data => {
  return request({
    url: `/api-web/imLiveBroadcastRoom/roomStart/${data}`,
    method: "get",
    data,
    params: data
  });
};

export const sysTenantConfigAll = data => {
  return request({
    url: "/api-web/sysTenantConfig/queryAll",
    params: data,
    method: "get"
  });
};

// 直播课详情
export const liveGroupDetail = data => {
  return request({
    url: "/api-web/vipGroupManage/liveGroupDetail/" + data.id,
    method: "get"
  });
};

// 直播课详情 - 学生列表
export const liveStudentList = data => {
  return request({
    url: "/api-web/vipGroupManage/liveStudentList",
    method: "post",
    data
  });
};

// 直播课详情 - 课表列表
export const liveCourseList = data => {
  return request({
    url: "/api-web/vipGroupManage/liveCourseList",
    method: "post",
    data
  });
};

// 获取分部
export const findTeacherByTenantId = data => {
  return request({
    url: "/api-web/teacher/findTeacherByTenantId",
    method: "get",
    params: data
  });
};

// vip退费查询
export function getStudentSurplusCourseFee(data) {
  return request({
    url: "/api-web/vipGroupManage/getStudentSurplusCourseFee",
    method: "get",
    params: data
  });
}

// 根据vipid和学生id 退学
export function leaveSchool(data) {
  return request({
    url: "/api-web/vipGroupManage/applyRefundForStudent",
    method: "POST",
    requestType: "form",
    data
  });
}

// 根据 修改直播课
export function updateLiveGroup(data) {
  return request({
    url: "/api-web/vipGroupManage/updateLiveGroup",
    method: "POST",
    data
  });
}

export function delLiveGroup(data) {
  return request({
    url: "/api-web/vipGroupManage/delLiveGroup/" + data.id,
    method: "get"
  });
}

// 开始加权限
// 创建直播课分享
export function createLiveGroupShare(data) {
  return request({
    url: "/api-web/courseSchedule/updateCourseScheduleShareMode",
    method: "POST",
    data
  });
}


// 查询已分享的学员
export function getLiveGroupShareStudent(data) {
  return request({
    url: "/api-web/courseShare/queryCourseSharedStudent",
    method: "get",
    data,
    params: data
  });
}

// 添加分享学员  courseShare/saveCourseShare
export function addShareStudent(data) {
  return request({
    url: "/api-web/courseShare/saveCourseShare",
    method: "post",
    data,
  });
}
// 一件添加
export function addShareStudentQuite(data) {
  return request({
    url: "/api-web/courseShare/saveCourseShareByOne",
    method: "post",
    data,
  });
}

// 删除分享学员
export function deleteShareStudent(data) {
  return request({
    url: "/api-web/courseShare/deleteShareStudent",
    method: "post",
    data,
  });
}


// 直播课可分享的学员
export function getWaitShareStudent(data) {
  return request({
    url: "/api-web/courseShare/queryAllCourseShareStudent",
    method: "get",
    data,
    params: data
  });
}


// 获取回放列表
export function getCourseVideoList(data) {
  return request({
    url: "/api-web/imLiveRoomVideo/queryList",
    method: "get",
    data,
    params: data
  });
}
