import dayjs from "dayjs";

export const descs = {
  STUDENT_REGISTRATION_NUM: "截止到昨日，系统注册学员总数",
  CHARGE_STUDENT_CHANGE_RATE:
    "截止到昨日，注册学员现金付费率（有订单交易成功的都算，导入的也算）",
  ACTIVATION_RATE:
    "截止到昨日，筹备中或进行中乐团在读学员和有VIP或网管课学员激活率（VIP网管课最后一节课在6个月前则不纳入统计）",
  SCHOOL: "截止到昨日，存在【进行中】乐团的【合作单位】总数",
  PROGRESS_MUSIC_GROUP_NUM: "截止到昨日，【进行中】乐团总数",
  TEACHER_NUM: "截止到昨日，非冻结，且离职时间在昨日之后的老师总数",
  FULL_TIME_NUM:
    "截止到昨日，非冻结、离职时间在昨日之后，且工作类型为【全职】的老师总数",
  PART_TIME_NUM:
    "截止到昨日，非冻结、离职时间在昨日之后，且工作类型为【兼职】的老师总数",
  SURPLUS_COURSE_NUM:
    "截止到昨日，系统中【未开始】课程总数（乐团+VIP+网管）【不包括试听课】",
  SURPLUS_MUSIC_COURSE_NUM: "截止到昨日，系统乐团【未开始】课程总数",
  SURPLUS_VIP_COURSE_NUM: "截止到昨日，系统中【未开始】VIP课程总数",
  SURPLUS_PRACTICE_COURSE_NUM: "截止到昨日，系统中【未开始】网管课程总数",
  OVER_COURSE_NUM:
    "截止到昨日，系统中【已结束】课程总数（乐团+VIP+网管）【不包括试听课】",
  OVER_MUSIC_COURSE_NUM: "截止到昨日，系统中乐团【已结束】课程总数",
  OVER_VIP_COURSE_NUM: "截止到昨日，系统中【已结束】VIP课程总数",
  OVER_PRACTICE_COURSE_NUM: "截止到昨日，系统中【已结束】网管课程总数",
  FINANCE_PAY: "筛选时间段内支出金额总和",
  FINANCE_BALANCE_AMOUNT: "筛选时间段内余额消耗总和",
  FINANCE_AMOUNT: "筛选时间段内现金收入总和",
  HOMEWORK_CREATE_RATE: "筛选时间段内，服务指标练习总布置率",
  HOMEWORK_SUBMIT_RATE:
    "筛选时间段内，已布置的练习学员总提交率（包括服务指标外的练习）",
  HOMEWORK_COMMENT_RATE: "筛选时间段内，学员已提交的练习老师总点评率",
  MUSIC_GROUP_COURSE: "筛选时间段内，乐团课程总数",
  VIP_GROUP_COURSE: "筛选时间段内，VIP课程总数",
  PRACTICE_GROUP_COURSE: "筛选时间段内，网管课程总数",
  ADD_STUDENT_REGISTRATION_NUM: "筛选时间段内，新注册学员总数",
  MUSIC_GROUP_STUDENT:
    "筛选时间段中最后一日，【进行中】乐团【在读】学员总数，分部下去重",
  NEWLY_STUDENT_NUM:
    "筛选时间段内，新增的【进行中】乐团【在读】学员总数（学员当前无在读乐团则记为新增）",
  QUIT_MUSIC_GROUP_STUDENT_NUM:
    "筛选时间段内，乐团退团学员总数（学员无在读乐团，则记为退团）",
  VIP_PRACTICE_STUDENT_NUM:
    "筛选时间段中最后一日，学员有剩余VIP或网管未上课时的总人数（分部下去重）",
  VIP_PRACTICE_ADD_STUDENT_NUM: "筛选时间段内，新增的VIP/网管课付费学员总数",
  MUSIC_PATROL_ITEM: "乐团主管提交的巡查表中有未勾选事项",
  HIGH_CLASS_STUDENT_LESS_THAN_THREE: "基础技能班学员数量<3且没有备注",
  HIGH_CLASS_STUDENT_LESS_THAN_THREE_INFO: "基础技能班学员数量<3且有备注",
  STUDENT_NOT_PAYMENT: "已添加到缴费项目中，未排课且未缴费学员数量",
  STUDENT_APPLY_FOR_QUIT_MUSIC_GROUP: "未处理的学员退团申请数量",
  TEACHER_EXPECT_SALARY_BE_LOW:
    "本月预计课酬未达到系统设置的分部基本课酬标准的老师人数",
  INSPECTION_ITEM: "乐团主管未完成巡查计划安排",
  INSPECTION_ITEM_PLAN: "乐团主管已安排的巡查任务未提交",
  STUDENT_VISIT: "乐团主管未完成回访任务",
  TEACHER_EXCEPTION_ATTENDANCE: "有老师考勤的课程中，老师异常考勤的课程数量",
  STUDENT_EXCEPTION_ATTENDANCE: "有老师考勤的课程中，学员异常考勤的课程数量",
  TEACHER_NOT_A_CLASS: "课程无老师考勤",
  TEACHER_SERVE_ERROR: "服务指标生成的练习未布置",
  WAIT_CREATE_PAYMENT_CALENDER: "缴费项目有效期结束前7天",
  NO_CLASS_MUSIC_GROUP_STUDENT_INFO:
    "进行中且未开课乐团，未加入任何班级的学员数量",
  NO_CLASS_MUSIC_GROUP_STUDENT_ERROR:
    "进行中且已开课乐团，未加入任何班级的学员数量",
  COURSE_TIME_ERROR: "上课时间在21:00~06:00时间段内为时间安排异常",
  TOTAL_AMOUNT: "总收入：现金收入 + 余额收入",
  STUDENT_ERROR_LEAVE: "当月请假2次及以上",
  STUDENT_ARREARAGE: "已加入缴费项目，已排课且未缴费学员数量",
  NO_MEMBER_STUDENT_INFO: "进行中会员收费乐团中会员已过期在读学生数量",
  MEMBER_STUDENT_INFO: "进行中会员收费乐团中会员有效期≤15天的在读学生数量",
  APPLY_AMOUNT: "乐团报名缴费、新增学员缴费收入金额总和",
  PRACTICE_AMOUNT: "网管课购买、续费金额总和",
  OTHER_AMOUNT: "其他收入金额总和",
  RENEW_AMOUNT: "乐团续费、临时加课、合班缴费金额总和",
  VIP_AMOUNT: "VIP课购买、续费、复学、课程组新增学员收入金额总和",
  CURRENT_COURSE_ERROR:
    "剩余课时（未开始+排课资格）大于4的学员，本月排课节数少于4节",
  vipStudentNum: "生效中及待激活的会员人数",
  eVipStudentNum: "如果是试用会员又是付费会员，则不算试用会员数",
  cloudStudyLivelyStudentNum:
    "过去四周内有三周及以上每周练习时长超过60分钟的学员人数",
  newCloudStudyStudentNum: "第一次使用学练宝的人数",
  cloudStudyTodayUseStudentNum: "今日有练习记录的学员人数",
  // "cloudStudyUseStudentNum":'累计使用的总人数',
  totalStudentNum: "进行中、暂停乐团的在读学员总数",
  againBuyRate: "会员人数中，有多次学练宝付费订单的学员数占比",
  buyRate: "在读学员中学练宝生效或待激活学员占比",
  waitActivateVipStudentNum: "待激活学员人数",
  effectiveVipStudentNum: "在读学员中会员生效人数",
  vipStudentRate: "会员人数/在读人数",
  effectiveStudentNum:
    "(进行中乐团在读学员+有剩余课时的学员+有排课次数的学员)去重"
};
export const titles = {
  waitActivateVipStudentNum: "待激活",
  effectiveVipStudentNum: "生效会员",
  vipStudentNum: "生效待激活总人数",
  eVipStudentNum: "试用会员人数",
  totalStudentNum: "在读人数",
  cloudStudyLivelyStudentNum: "近一月活跃人数",
  newCloudStudyStudentNum: "今日新增使用人数",
  cloudStudyTodayUseStudentNum: "今日使用人数",
  cloudStudyUseStudentNum: "累计使用人数",
  effectiveStudentNum: "有效学员数",
  vipStudentRate: "会员占比",
  againBuyRate: "复购率",
  buyRate: "覆盖率"
};

const dates = {
  start: dayjs()
    .subtract(1, "month")
    .set("date", 1)
    .format("YYYY-MM-DD"),
  end: dayjs().format("YYYY-MM-DD")
};

export const errorType = {
  COURSE_TIME_ERROR: {
    name: "课程时间安排异常",
    isError: false,
    url: "/teamCourseList",
    permission: "/teamCourseList",
    always: true,
    query: {
      searchType: "COURSE_TIME_ERROR"
      // ...dates
    }
  },
  SCHOOL_PATROL: {
    name: "学校巡堂异常",
    isError: true,
    url: "/schoolPatrol",
    permission: "/schoolPatrol",
    always: true,
    query: {
      handleStatus: "false",
      evaluateStatus: "UNQUALIFIED"
    }
  },
  MUSIC_PATROL_ITEM: {
    name: "乐团巡查事项异常",
    isError: false,
    url: "/musicInspection",
    permission: "/musicInspection",
    always: true,
    query: {
      tabrouter: "teamSchedule",
      searchType: "MUSIC_PATROL_ITEM",
      ...dates
    }
  },
  HIGH_CLASS_STUDENT_LESS_THAN_THREE: {
    name: "基础技能班学员数量异常",
    isError: true,
    url: "/teamCLassList",
    permission: "/teamCLassList",
    always: true,
    query: {
      lessThenThreeHighOnline: "false"
    }
  },
  HIGH_CLASS_STUDENT_LESS_THAN_THREE_INFO: {
    name: "基础技能班学员数量提醒",
    isError: true,
    url: "/teamCLassList",
    permission: "/teamCLassList",
    always: true,
    query: {
      lessThenThreeHighOnline: "true"
    }
  },

  NO_MEMBER_STUDENT_INFO: {
    name: "当前共有{0}个乐团共{1}名学员会员已过期",
    isError: true,
    url: "/main/teamMemberList",
    permission: "/teamMemberList",
    always: true,
    query: {
      hasMember: "0"
    }
  },
  MUSIC_GROUP_PERFORMANCE: {
    name: "当前共有{0}个乐团共{1}次展演计划",
    isError: false,
    url: "/main/teamShowList",
    permission: "/teamShowList",
    always: true
  },
  MEMBER_STUDENT_INFO: {
    name: "当前共有{0}个乐团共{1}名学员会员即将过期",
    isError: true,
    url: "/main/teamMemberList",
    permission: "/teamMemberList",
    always: true,
    query: {
      hasMember: "1"
    }
  },
  NO_CLASS_MUSIC_GROUP_STUDENT_INFO: {
    name: "当前有{0}个未开课乐团共{1}名学员未加入任何班级",
    filterName: "仅显示未开课乐团学员",
    isError: false,
    url: "/main/notClassStudent",
    permission: "/notClassStudent",
    always: true,
    query: {
      hasCourse: "false"
    }
  },
  NO_CLASS_MUSIC_GROUP_STUDENT_ERROR: {
    name: "当前有{0}个已开课乐团共{1}名学员未加入任何班级",
    filterName: "仅显示已开课乐团学员",
    isError: true,
    url: "/main/notClassStudent",
    permission: "/notClassStudent",
    always: true,
    query: {
      hasCourse: "true"
    }
  },

  STUDENT_ERROR_LEAVE: {
    name: "学员异常请假",
    isError: true,
    url: "/main/studentLeaveList",
    permission: "/studentLeaveList",
    always: true
  },
  STUDENT_ARREARAGE: {
    name: "已排课未缴费学员数",
    isError: true,
    url: "/studentManager/ArrearageStudents",
    permission: "/ArrearageStudents",
    always: true,
    query: {
      hasCourse: "true"
    }
  },
  STUDENT_NOT_PAYMENT: {
    name: "未排课未缴费学员数",
    isError: true,
    url: "/studentManager/ArrearageStudents",
    permission: "/ArrearageStudents",
    always: true,
    query: {
      hasCourse: "false"
    }
  },
  STUDENT_APPLY_FOR_QUIT_MUSIC_GROUP: {
    name: "申请退团学员数",
    isError: true,
    url: "/journal/WithdrawalApplication",
    permission: "/WithdrawalApplication",
    always: true,
    query: {
      visitFlag: "0"
    }
  },
  COOPERATION_PAYMENT_ERROR: {
    name: "合作单位回款异常",
    isError: true,
    url: "/branchPayManager",
    permission: "/branchPayManager",
    always: true,
    query: {
      searchType: "COOPERATION_PAYMENT_ERROR"
    }
  },
  COOPERATION_PAYMENT_ALERT: {
    name: "合作单位回款提醒",
    isError: true,
    url: "/branchPayManager",
    permission: "/branchPayManager",
    always: true,
    query: {
      searchType: "COOPERATION_PAYMENT_ALERT"
    }
  },
  // WAIT_CREATE_PAYMENT_CALENDER: {
  //   name: '待创建缴费项目',
  //   isError: true,
  //   url: '/teamList',
  //   permission: '/teamList',
  //   query: {
  //     searchType: 'WAIT_CREATE_PAYMENT_CALENDER'
  //   }
  // },
  COURSE_TRUANT_STUDENT_NUM: {
    name: "学员考勤异常旷课",
    isError: true,
    url: "/stuRecodeManager",
    permission: "/stuRecodeManager",
    always: true,
    query: {
      visitFlag: "0",
      status: "TRUANT",
      ...dates
    }
  },
  COURSE_LEAVE_STUDENT_NUM: {
    name: "学员请假",
    isError: true,
    url: "/stuRecodeManager",
    permission: "/stuRecodeManager",
    always: true,
    query: {
      visitFlag: 0,
      status: "LEAVE",
      ...dates
    }
  },
  TEACHER_EXCEPTION_ATTENDANCE: {
    name: "老师考勤异常",
    isError: true,
    always: true,
    url: "/teamCourseList",
    permission: "/teamCourseList",
    query: {
      searchType: "TEACHER_ERR_ATTENDANCE",
      ...dates,
      start: dayjs()
        .subtract(1, "month")
        .set("date", 1)
        .format("YYYY-MM-DD")
    }
  },
  STUDENT_EXCEPTION_ATTENDANCE: {
    name: "学生考勤异常",
    isError: true,
    always: true,
    url: "/teamCourseList",
    permission: "/teamCourseList",
    query: {
      searchType: "STUDENT_ERR_ATTENDANCE",
      ...dates,
      start: dayjs()
        .subtract(1, "month")
        .set("date", 1)
        .format("YYYY-MM-DD")
    }
  },
  CURRENT_COURSE_ERROR: {
    name: "当月排课异常",
    isError: true,
    always: true,
    url: "/smallCourseConsumption",
    permission: "/smallCourseConsumption",
    query: {
      searchType: "CURRENT_COURSE_ERROR",
      ...dates,
      tabrouter: "2"
    }
  },
  //   start: '2021-02-01',  start: '2021-02-01',
  TEACHER_NOT_A_CLASS: {
    name: "课程异常",
    isError: true,
    always: true,
    url: "/teamCourseList",
    permission: "/teamCourseList",
    query: {
      searchType: "NO_ATTENDANCE",
      ...dates,
      start: dayjs()
        .subtract(1, "month")
        .set("date", 1)
        .format("YYYY-MM-DD")
    }
  },
  WAIT_RENEW_INFO: {
    name: "待续费学员",
    isError: false,
    always: true,
    url: "/studentManager/smallStudentManager",
    permission: "/smallStudentManager",

    query: {
      ...dates,
      start: dayjs()
        .subtract(1, "month")
        .set("date", 1)
        .format("YYYY-MM-DD"),
      subCourseMaxNum: 3,
      studentStatus: "NORMAL"
    }
  },
  TEACHER_LEAVE: {
    name: "老师请假",
    isError: false,
    url: "/journal/journal",
    permission: "/leaveOperation",
    resultKey: "search",
    query: {
      tabrouter: "LEAVE"
    }
  },
  TEACHER_EXPECT_SALARY_BE_LOW: {
    name: "预计课酬较低",
    isError: false,
    url: "/operateManager/operationalList",
    permission: "/operationalList",
    always: true,
    query: {
      lowSalary: 1
    }
  },
  INSPECTION_ITEM: {
    name: "乐团巡查任务未计划",
    isError: true,
    always: true,
    url: "/workbench",
    permission: "/workbench",
    resultKey: "ids",
    query: {
      tabrouter: "teamSchedule",
      searchType: "INSPECTION_ITEM",
      start: dayjs()
        .subtract(1, "month")
        .set("date", 1)
        .format("YYYY-MM"),
      end: dayjs().format("YYYY-MM")
    }
  },
  INSPECTION_ITEM_PLAN: {
    name: "乐团巡查任务未提交",
    isError: true,
    url: "/musicInspection",
    permission: "/musicInspection",
    always: true,
    query: {
      searchType: "INSPECTION_ITEM_PLAN",
      ...dates
    }
  },
  STUDENT_VISIT: {
    name: "回访任务未完成",
    isError: true,
    url: "/workbench",
    permission: "/workbench",
    always: true,
    query: {
      tabrouter: "teamSchedule",
      searchType: "STUDENT_VISIT",
      ...dates
    }
  },
  TEACHER_SERVE_ERROR: {
    name: "服务指标异常",
    isError: true,
    always: true,
    url: "/serverIndexManager/serverDetail",
    permission: "/serverDetail",
    query: {
      searchType: "TEACHER_SERVE_ERROR",
      unDone: 1,
      reminded: 0
    }
  },
  MUSIC_GROUP_HAS_COURSE_TIMES: {
    name: "乐团剩余时长未排课",
    isError: true,
    url: "/teamList",
    permission: "/teamList",
    query: {
      searchType: "MUSIC_GROUP_HAS_COURSE_TIMES"
    }
  },
  HAS_FREE_COURSE_TIMES: {
    name: "排课时长消耗异常",
    isError: true,
    url: "/hasfreeCourse",
    permission: "/hasfreeCourse",
    always: true
  }
};

export const matterTypes = {
  INSPECT: "下校巡查",
  VISIT: "学员回访"
};

export const chioseNum = 31;
